Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

Get customer attachment

GET/workspaces/{organizationId}/customers/{id}/attachments/{attachmentId}
Path parameters
organizationIdstringrequired
idstringrequired
attachmentIdstringrequired
Responses
200

Customer attachment

idstringrequired
organizationIdstringrequired
customerIdstringrequired
fileNamestringrequired
contentTypestringrequired
sizeintegerrequired
r2Keystringrequired
urlstringrequired
bookingUrlstring | null
notesstring | null
createdByIdstring | nullrequired
createdAtstringrequired
404

Attachment not found

Try it
Server
Parameters
Request
curl -X GET '/workspaces/string/customers/string/attachments/string'
Response
{
  "id": "string",
  "organizationId": "string",
  "customerId": "string",
  "fileName": "string",
  "contentType": "string",
  "size": 0,
  "r2Key": "string",
  "url": "string",
  "bookingUrl": "string",
  "notes": "string",
  "createdById": "string",
  "createdAt": "string"
}